Skip to main content
POST
/
api
/
v1
/
memory-categories
Create Memory Category
curl --request POST \
  --url https://draftliftai.com/api/v1/memory-categories \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Product Knowledge",
  "color": "#3B82F6",
  "description": "Facts and details about our products"
}
'
{
  "id": 123,
  "name": "<string>",
  "slug": "<string>",
  "color": "<string>",
  "is_system": true,
  "created_at": "2023-11-07T05:31:56Z",
  "icon": "<string>",
  "description": "<string>",
  "user_id": 123
}

Authorizations

Authorization
string
header
required

API key (dl_live_...) or Supabase JWT token

Body

application/json
name
string
required
Required string length: 1 - 100
color
string
default:#6B7280
Maximum string length: 20
icon
string | null
description
string | null

Response

Successful Response

id
integer
required
name
string
required
slug
string
required
color
string
required
is_system
boolean
required
created_at
string<date-time>
required
icon
string | null
description
string | null
user_id
integer | null